#pragma once
#include "Gui/Surface.h"
#include "Graphics.h"

namespace gui {

	/**
	 * Specialized surface for 3D rendering.
	 */
	class Surface3D : public Surface {
	public:
		// Create.
		Surface3D(Size size, Float scale) : Surface(size, scale) {}

		// Create a Graphics3D object for this surface.
		virtual Graphics3D *createGraphics(Engine &e) = 0;
	};

}
